Package de.gebit.integrity.services

## Class DSLGrammarAccess.CallDefinitionElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
    - - de.gebit.integrity.services.DSLGrammarAccess.CallDefinitionElements

- All Implemented Interfaces:
    `org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess`, `org.eclipse.xtext.IGrammarAccess.IParserRuleAccess`
  Enclosing class:
    DSLGrammarAccess

      public class DSLGrammarAccess.CallDefinitionElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CallDefinitionElements()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.xtext.Keyword` | `getCalldefKeyword_1()` |
    `org.eclipse.xtext.Assignment` | `getDocumentationAssignment_0()` |
    `org.eclipse.xtext.RuleCall` | `getDocumentationDocumentationCommentParserRuleCall_0_0()` |
    `org.eclipse.xtext.Assignment` | `getFixtureMethodAssignment_7()` |
    `org.eclipse.xtext.RuleCall` | `getFixtureMethodMethodReferenceParserRuleCall_7_0()` |
    `org.eclipse.xtext.Group` | `getGroup()` |
    `org.eclipse.xtext.Assignment` | `getNameAssignment_3()` |
    `org.eclipse.xtext.RuleCall` | `getNameQualifiedNameParserRuleCall_3_0()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_2()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_4()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_6()` |
    `org.eclipse.xtext.RuleCall` | `getNLParserRuleCall_8()` |
    `org.eclipse.xtext.ParserRule` | `getRule()` |
    `org.eclipse.xtext.Keyword` | `getUsesKeyword_5()` |

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CallDefinitionElements

          public CallDefinitionElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.ParserRule getRule()

    - #### getGroup

          public org.eclipse.xtext.Group getGroup()

    - #### getDocumentationAssignment_0

          public org.eclipse.xtext.Assignment getDocumentationAssignment_0()

    - #### getDocumentationDocumentationCommentParserRuleCall_0_0

          public org.eclipse.xtext.RuleCall getDocumentationDocumentationCommentParserRuleCall_0_0()

    - #### getCalldefKeyword_1

          public org.eclipse.xtext.Keyword getCalldefKeyword_1()

    - #### getNLParserRuleCall_2

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_2()

    - #### getNameAssignment_3

          public org.eclipse.xtext.Assignment getNameAssignment_3()

    - #### getNameQualifiedNameParserRuleCall_3_0

          public org.eclipse.xtext.RuleCall getNameQualifiedNameParserRuleCall_3_0()

    - #### getNLParserRuleCall_4

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_4()

    - #### getUsesKeyword_5

          public org.eclipse.xtext.Keyword getUsesKeyword_5()

    - #### getNLParserRuleCall_6

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_6()

    - #### getFixtureMethodAssignment_7

          public org.eclipse.xtext.Assignment getFixtureMethodAssignment_7()

    - #### getFixtureMethodMethodReferenceParserRuleCall_7_0

          public org.eclipse.xtext.RuleCall getFixtureMethodMethodReferenceParserRuleCall_7_0()

    - #### getNLParserRuleCall_8

          public org.eclipse.xtext.RuleCall getNLParserRuleCall_8()